<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos";

$objetocalculo=new calculos();
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$cliente=strtoupper($sessao->getVar('cliente' ) ?? "");
if(substr(strtoupper($cliente ?? ""),0,8)=='DIMICRON')$cliente="DIMICRON";//este casuismo é necessario pois a ricetec é RiceTec......

if(substr(strtoupper($cliente ?? ""),0,7)=='RICETEC')$cliente="RICETEC";//este casuismo é necessario pois a ricetec é RiceTec......
//echo("cliente=$cliente<br>");


$finalidade=$sessao->getVar('finalidade');
$nomeOperador=$sessao->getVar('nomeuser');
$anoCorrente=$sessao->getVar('anocorrente');
$legendaRequerente=$sessao->getVar('controle2');
$anoAmostra=$anoCorrente;
$legendaGeral="Registro de amostra(Incluir,alterar,excluir,localizar) ".$legendaRequerente ;
//vai capturar a ida da ultima amostrs 
//quando ele entrar aqui ele ja vai ler o numero da amostra a partir de uma session 
//vai ter um modulo perfeito onde ele vai selecionar amostra
//prieira ultima segunte anterior, aleatoria ao localizar vai voltar para o edit trazendo o numero da amostra na session 







$amostraLong=$sessao->getVar('amostraLong');
//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela finalidade=$finalidade  Ano amostra=$anoAmostra<br>");
if($amostraLong>0)
{
	//echo "nao nulo<br>";
	$userAmostra = new amostras();
    $userAmostra->extras_select =  " where fic_id=".$amostraLong;
    $userAmostra->selecionaCampos($userAmostra);
    while ($resAmostra = $userAmostra->retornaDados()):
        $amostraLong=$resAmostra->fic_id;
        $idCultivar=$resAmostra->fic_cultivar;
        $idProdutor=$resAmostra->fic_produtor;
        $idAmostrador=$resAmostra->fic_amostrador;
        $ultima=$resAmostra->fic_amostra;
    endwhile;	
	//echo('passando na 38<br>');	
	$sessao->setVar('amostraLong', $amostraLong);
	$sessao->setVar('inicio', $ultima);
	$sessao->setVar('final', $ultima);
	//$sessao->setVar('idCultivar',$idCultivar);
	//$sessao->setVar('idProdutor',$idProdutor);
	//$sessao->setVar('idAmostrador',$idAmostrador);
	$sessao->setVar('ultima',$ultima);
	//$sessao->setVar('final',$ultima);//precisa isso pois ao voltar da gestao de fichas o intervalo fica memorizado na sessao
}
else
{
     $amostraLong=$objetocalculo->achaUltima();
	 //$idCultivar=$sessao->getVar($idCultivar);
	 //$idProdutor=$sessao->getVar($idProdutor);
	 //$idAmostrador=$sessao->getVar($idAmostrador);
}




switch ($tela):

    case 'nova':
      echo"esta no nova";
	  $tela='editar';
    break;

    case 'capturarBarra':
	   $captura=post('codigoBarra');
	   echo("ccccccccccaptura=$captura<br>");
	   
	   
	   
	
	
	break;


    case 'listarRemetentes':
        echo '<h2>Requerentes cadastrados</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable'); 
		$sessao->setVar('controle',1);       
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Nome</th><th>Ações</th><th>Endereco</th><th>Município</th><th>Cadastro</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new remetentes();
				$user->extras_select = "WHERE prd_id_lab=".$idLabo;

                $user->selecionaTudo($user);
                while ($res = $user->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s</td>',$res->prd_nome);
					printf('<td class="center">
					</a> <a href="?m=achaAssociado&t=editar&prd_idUnico=%s" title="Selecionar"><img src="images/edit.png" alt="Selecionar" /></a>
					</td>',$res->prd_id);
                    printf('<td>%s</td>',$res->prd_endereco);
                    printf('<td>%s</td>',$res->prd_municipio);
                    printf('<td class="center">%s</td>',date("d/m/Y",strtotime($res->prd_datacad))));
					
                   
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>
        
        <?php        
    break;

    case 'listarRemetentesLetrasxxxxxxxxxxxx':
        echo '<h2>Requerentes cadastrados</h2>';
		$letrasDigitadas=post('remetente');
		$letras=post('remetente').'%';
		echo("Esta função permite informar as primeiras letras do nome do requerente. Foi digitado: $letrasDigitadas<br>");
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable'); 
		$sessao->setVar('controle',1);       
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>NomeRL</th><th>Ações</th><th>Endereco</th><th>Município</th><th>Cadastro</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new remetentes();
				$user->extras_select = "WHERE  prd_nome like '$letras' and   prd_id_lab=".$idLabo;

                $user->selecionaTudo($user);
                while ($res = $user->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s</td>',$res->prd_nome);
					printf('<td class="center">
					</a> <a href="?m=achaAssociado&t=editar&prd_idUnico=%s" title="Selecionar"><img src="images/edit.png" alt="Selecionar" /></a>
					</td>',$res->prd_id);
                    printf('<td>%s</td>',$res->prd_endereco);
                    printf('<td>%s</td>',$res->prd_municipio);
                    printf('<td class="center">%s</td>',date("d/m/Y",strtotime($res->prd_datacad))));
					
                   
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>
        
        <?php        
    break;





    case 'listarAmostrador':
        echo '<h2>Amostradores cadastrados</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
		$sessao->setVar('controle',3);       
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Nome</th><th>Ações</th><th>Endereco</th><th>Município</th><th>Cadastro</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new amostradores();
				$user->extras_select = "WHERE amt_lab=".$idLabo;

                $user->selecionaTudo($user);
                while ($res = $user->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s</td>',$res->amt_nome);
					printf('<td class="center">
					</a> <a href="?m=achaAssociado&t=editar&amt_id=%s" title="Selecionar"><img src="images/edit.png" alt="Selecionar" /></a>
					</td>',$res->amt_id);
                    printf('<td>%s</td>',$res->amt_endereco);
                    printf('<td>%s</td>',$res->amt_municipio);
                    printf('<td class="center">%s</td>',date("d/m/Y",strtotime($res->amt_datacad))));
                   
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>
        
        <?php        
    break;




    case 'listarCultivares':
        echo '<h2>Cultivares cadastrados</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable'); 
		$sessao->setVar('controle',2);     		       
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Nome</th><th>Espécie</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new cultivaresespecies();
				$user->extras_select = "where ctv_especie=esp_id && hac_id_labo=".$idLabo." && hac_id_cultivar=ctv_id  order by esp_nome,ctv_nome  ";
                $user->selecionaTudo($user);
                while ($res = $user->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s',$res->ctv_nome);
					printf('
					<a href="?m=achaAssociado&t=editar&ctv_id=%s" title="Selecionar"><img src="images/edit.png" alt="Selecionar" /></a>
					</td>',$res->ctv_id);
                    printf('<td>%s</td>',$res->esp_nome);

      
                   
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>
        
        <?php        
    break;


	
	//lista de amostras	
    case 'buscar':
    //echo '<h2>Achar uma amostra</h2>';
    $idLabo=$sessao->getVar('idLabo');
    $amostraLong=$sessao->getVar('amostraLong');
     //echo("amostraLongaaxxxaaaaaaaaa  $amostraLong<br>") ; 
//////////////////
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Numero</th><th>Ações</th><th>Função</th><th>Categoria</th><th>Apelido</th><th>Cultivar</th><th>Entrada</th>
                </tr>
            </thead>
            <tbody>
            <?php 
     		//ENTRA DE QUAKQUER MANEIRA
			$generica=new tabelagenerica();
			$generica->tabela="ficha,remetente,cultivar";
			$generica->campos_valores = array(
					"fic_id" => NULL,
					"fic_funcao" => NULL,
					"fic_categoria" => NULL,
					"prd_apelido" => NULL,
					"fic_amostra" => NULL,
					"ctv_nome" => NULL,
					"fic_dt_entrada" => NULL,
				);
			if($finalidade=='DEFINITIVA'):
			     $generica->extras_select =" where prd_id=fic_produtor && fic_cultivar=ctv_id and fic_ano='".$anoCorrente."'  && fic_labo=" . $idLabo;
		    else:
			     $generica->extras_select =" where prd_id=fic_produtor && fic_cultivar=ctv_id and fic_ano='".$anoCorrente."'  && fic_labo=" . $idLabo;
			endif;		 
				 
				 
			$generica->selecionaCampos($generica);
			echo("xxxxxxxxxxxxxxxxxxxxxxxxxxxextraselect= $generica->extras_select <br>");
			while ($resgenerica= $generica->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s</td>',$resgenerica->fic_amostra);
					printf('<td class="center">
					<a href="?m=achaAssociado&t=editar&achar_id=%s" title="Selecionar"><img src="images/selection1.png" alt="Selecionar" />
					</a></td>',$resgenerica->fic_id);
                    printf('<td>%s</td>',$resgenerica->fic_funcao);
                    printf('<td>%s</td>',$resgenerica->fic_categoria);
                    printf('<td>%s</td>',$resgenerica->prd_apelido);
                    printf('<td>%s</td>',$resgenerica->ctv_nome);
                    printf('<td class="center">%s</td>',date("d/m/Y",strtotime($resgenerica->fic_dt_entrada))));
                   
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>
        
        <?php        
/////////
    break;



 

    case 'editar':
	    $captura=post('cod_barra2');
	    //echo("uuuuuuccccccccccaptura=$captura<br>");
	
	
	
	
        $sessao = new sessao();
		$finalidade=$sessao->getVar('finalidade');
		$legendaRequerente=$sessao->getVar('controle2');
        //echo("<h2>Registro de amostra(Incluir,alterar ou localizar).$legendaRequerente </h2>");
        if(post('bt_listarRemetentesLetras') !== ""):
		    $letrasDigitadas=post('remetente');
		    $letras=post('remetente').'%';
			echo("Esta função permite informar as primeiras letras do nome do requerente. Foi digitado: $letrasDigitadas<br>");
	        echo '<h2>Requerentes cadastrados</h2>';
	        loadCSS('data-table',NULL,TRUE);
	        loadJS('jquery-datatable'); 
			$sessao->setVar('controle',0);       
	        ?>
	        <script type="text/javascript">
	            $(document).ready(function(){
	               $("#listausers").dataTable({
	                "oLanguage": {
	                    "sZeroRecords": "Nenhum dado econtrado para exibição",
	                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
	                    "sInfoEmpty": "Nenhum registro para ser exibido",
	                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
	                    "sSearch": "Pesquisar",
	                },
	                "sScrollY": "200px",
	                "bPaginate": false,
	                "aaSorting": [[0, "asc"]] 
	               }); 
	            });
	        </script>
	        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
	            <thead>
	                <tr>
	                    <th>Nome</th><th>Ações</th><th>Endereco</th><th>Município</th><th>Cadastro</th>
	                </tr>
	            </thead>
	            <tbody>
	                <?php 
	                $user = new remetentes();
					$user->extras_select = "WHERE  prd_nome like '$letras' and  prd_id_lab=".$idLabo;

	                $user->selecionaTudo($user);
	                while ($res = $user->retornaDados()):
	                    echo '<tr>';
	                    printf('<td>%s</td>',$res->prd_nome);
						printf('<td class="center">
						</a> <a href="?m=achaAssociado&t=editar&prd_idLetra=%s" title="Selecionar"><img src="images/edit.png" alt="Selecionar" /></a>
						</td>',$res->prd_id);
	                    printf('<td>%s</td>',$res->prd_endereco);
	                    printf('<td>%s</td>',$res->prd_municipio);
	                    printf('<td class="center">%s</td>',date("d/m/Y",strtotime($res->prd_datacad))));
						
	                    echo '</tr>';
	                endwhile;                
	                ?>
	            </tbody>
	        </table>
	        <?php        
		endif;//testa botao listarremetente letra






		/*
		//vai responder ao botao salvar cultivar
		if(post('salvarCultivar') !== ""):
		    $cultivarx=post('cultivarx');
            echo ("Vai salvar a cultivar $cultivarx <br>");	
		    //primeiro verifica se a cultivar ainda nao existe
            $user = new cultivares(array(
                'ctv_nome'=>post('ctv_nome'),
                'ctv_especie'=>$idespecie,
            ));
			
            if ($user->existeRegistro('ctv_nome',post('ctv_nome'))):
                printMSG('Esta cultivar já está cadastrada, não pode duplicar o nome.','erro');
                $duplicado = TRUE;
                $user = new cultivares(array(
                   'ctv_nome'=>post('ctv_nome'),
                   'ctv_especie'=>$idespecie,
                    ));
			
	            if ($user->existeRegistro('ctv_nome',post('ctv_nome'))):
	                $duplicado = TRUE;
				    //aqui ja vai habilitar ao usuario pois se ele tentou gravar é porque precisa desta 
					//PRIMEIRO CAPTURA A ID
	                $user->selecionaTudo($user);
					$res = $user->retornaDados();
					$cultivarID=$res->ctv_id;

	                //ver se ja esta habilitada
					$idCtvHabilitada=0;
				    //ENTRA DE QUAKQUER MANEIRA
			 	 	$generica=new tabelagenerica();
					$generica->tabela="habilitacultivar";
					$generica->campos_valores = array(
							"hac_id_cultivar" => NULL,
						);
					$generica->extras_select =" where  hac_id_labo=" .$idLabo." and  hac_id_cultivar=".$cultivarID;
				    $generica->selecionaCampos($generica);
			    	$resGenerica = $generica->retornaDados();
					$idCtvHabilitada=$resGenerica->hac_id_cultivar;
	                //se nao foi encontara o valor ser zero e ai insere
			        if($idCtvHabilitada==0):
						$sql="insert into habilitacultivar(hac_id_labo,hac_id_cultivar) values($idLabo,$cultivarID)";
						$generica->grava_registro_com_retorno($sql);
						printMSG('Esta cultivar já existia e foi habilitada para usar.','alerta');
					else:
	                    printMSG('Esta cultivar já existia e está habilitada para usar!','erro');
					endif;//testa se ja esta havilitada
			  else:
			     echo "nao tem esta cultivar.."; 		  
			    //echo("id cultivar= $cultivarID idCtvHabilitada $idCtvHabilitada<br>");
              endif;//testa se ja esixte esta cultivar
            endif;//testa se ja tem o registro
		endif;//aqui fecha o isset do botao cadatrar cultivar
		*/
		

        if (post('alternar') !== ""):
    		if($finalidade=='PREVIA'):
  			   $finalidade='DEFINITIVA';
			else:
  			   $finalidade='PREVIA';
			endif;
			$sessao->SetVar('finalidade',$finalidade);
			$amostraLong=$objetocalculo->achaUltima();
		endif;
		
		$amostraLong=$sessao->getVar("amostraLong");
        //echo("amostraLongaaaaaaaaaaa dentro de editar  $amostraLong<br>") ; 
			if(post('manual') !== ""):
	           echo '<iframe src="manual2010.php?opcaoManual=registraamostras" style="border:5px dotted red" width="100%" height="350"></iframe>';//funciona
 	        endif;	

            if (get('achar_id') !== ""):
             $amostraLong = get('achar_id');
             $sessao->setVar('amostraLong', $amostraLong);
			endif;
			
		//aqui permite imprimir a ficha em branco	
		 if(post('branco') !== ""):
            $sessao->setVar('controle1', 'branco');		
		 else:	 
		    $sessao->setVar('controle1', 'preenchido');		
		 endif;	
		
        if (post('deletar') !== ""):
            //////////////
			echo '<h2>Exclusão de amostra</h2>';
			if(post('cb_fechar') !== ""):
	            $userAmo = new amostras();
	            $userAmo->valorpk = $amostraLong;
	            $userAmo->deletar($userAmo);
				
				
				
	            if ($userAmo->linhasafetadas==1):
	                printMSG('Registro excluído com sucesso. <a href="?m=usuarios&t=listar">Exibir cadastros</a>');
	                unset($_POST);
	            else:
	                printMSG('Nenhum registro foi excluído. <a href="?m=usuarios&t=listar">Exibir cadastros</a>','alerta');
	            endif;                   
				//////////////////////
				$amostraLong=$objetocalculo->achaUltima();
            else:
				printMSG('Excluir amostra é uma operação que precisa confirmação, para evitar deletar acidentalmente. Primeiro clica na caixa de seleção [Sim] depois clica excluir amostra. ','alerta');
			
			endif;
		endif;
		
		
		
		
		
			
       /////#####################################################################################     
            if (post('bt_incluir') !== ""):
		       //$sessao = new sessao();
		       //$finalidade=$sessao->getVar('finalidade');
     		   $objetoValidacao=new validacao();
			   $vaiGravar=TRUE;
               //valida a data de entrada
			   $dt_entrada=post('dt_entrada');
			   $retorno=$objetoValidacao->validaDataEntrada($dt_entrada);//esta data vai validar o ano e somente esta
			   if($retorno=='invalida'):
				   printMSG('Preencha corretamente a data de entrada no formato dd/mm/aaaa, e do ano corrente, pois nenhum dado foi alterado. ','alerta');
                   $vaiGravar=FALSE;
			   else:
				   $dt_entrada_americana=$retorno;
				   $y=$sessao->getVar('anocorrente');
			   endif;
               
			   /*
               //valida a data de protocolo
			   $dt_protocolo=post('dt_protocolo');
			   $retorno=$objetoValidacao->validaData($dt_protocolo);
			   if($retorno=='invalida'):
				   printMSG('Amigo, preencha corretamente a data de protocolo no formato dd/mm/aaaa, ou maior que o ano corrente, pois nenhum dado foi alterado. ','alerta');
                   $vaiGravar=FALSE;
			   else:
				   $dt_protocoloGravar=$retorno;
			   endif;

               //valida a data de amostragem
			   $dt_amostragem=post('dt_amostragem');
			   $retorno=$objetoValidacao->validaData($dt_amostragem);
			   if($retorno=='invalida'):
				   printMSG('Amigo, preencha corretamente a data de amostragem no formato dd/mm/aaaa, ou maior que o ano corrente, pois nenhum dado foi alterado. ','alerta');
                   $vaiGravar=FALSE;
			   else:
				   $dt_amostragemGravar=$retorno;
			   endif;

              //$dt_protocolo=date("d/m/Y",strtotime(date());
			   $dt_protocolo=date("Y-m-d");
				echo("data protocolo=$dt_protocolo<br>");
               */
               $dt_protocolo="2013-11-11";


               //validar a representatividade
			   $r1=post('r1');
			   $r2=post('r2');
			   $r3=post('r3');
			   $r4=post('r4');
			   if($r1=="-O-")$r2="-O-";
			   $retornoRep=$objetoValidacao->validaRepresentatividade($r1,$r2,$r3,$r4);
			   if($retornoRep=='invalida'):
				   printMSG('Preencha corretamente a representatividade dentro das possibilidades, pois nenhum dado foi alterado8. ','alerta');
                   $vaiGravar=FALSE;
			   else:
				   $repreGravar=$retornoRep;
			   endif;
				
                if($vaiGravar==TRUE):
				    if($finalidade=='PREVIA'):
					   $sqlultimo="select fic_amostra_previa from ficha where fic_ano='".$anoAmostra."' && fic_labo='".$idLabo."' order by fic_amostra_previa desc LIMIT 1";  //fucnciona perfeito
					else:
					   $sqlultimo="select fic_amostra from ficha where fic_ano='".$anoAmostra."' && fic_labo='".$idLabo."' order by fic_amostra desc LIMIT 1";  //fucnciona perfeito
					endif;
				
					$userOto=new amostras();
					$userOto->executaSQL($sqlultimo);
					$resOto=$userOto->retornaDados();
                    //se foi digitado um numero de amostra ele pega o numero e ignora os sequenciais produrados

					$novaAmostraDefini=$resOto->fic_amostra+1;			
					$novaAmostraPrevia=$resOto->fic_amostra_previa+1;			
                  

	                $nova = get('nova');
					//echo("Cria uma NOVA AMOSTRA! $finalidade<br>");
					$statusMaiusculo=strtoupper(post('status' ?? ""));
				    if($finalidade=='PREVIA'):
                       $novaAmostraDefinitiva= 0;					
                       $novaAmostraPrevia= $novaAmostraPrevia;					
					   $enquadramento_previa="S";
					   $enquadramento_definitiva="N";
					else:
                       $novaAmostraDefinitiva= $novaAmostraDefini;					
					   $novaAmostraPrevia= 0;		
					   $enquadramento_previa="N";
					   $enquadramento_definitiva="S";
					endif;
					
					//$idProdutor=$sessao->getVar('idProdutor');
					//aqui tem que criar o registro de PURE e GERM na tabela rean
                    //criando registro de GERM
					//vai pegar o formato deful 8x50  ou 4x100
				    $userg = new tabeladeful();
					$userg->extras_select =" where   cod_lab=".$idLabo ;
				    $userg->selecionaTudo($userg);
					while ($resg = $userg->retornaDados()):
				        $formato=$resg->formato_germinacao;//4x100  8x50 
						$defulOutrasCultivares=$resg->outras_cultivares;
				    endwhile;
					//se for analise previa entao o formato padrao é 4x50 seugerido por qualiteste dias 10/09/16
					//$finalidade=$sessao->getVar('finalidade');
					if($finalidade=='PREVIA')$formato='4x50';
					//echo("repeticao=$repeticao=finalidade $finalidade<br>");
					
					
					
					//echo("ddddddddddddeful outras cultivares $defulOutrasCultivares<br>");			
					//aqui captura dados da amostra que esta na tela
                    $guardaAmostraLong=$amostraLong;//para replicar testes a realizar
					//	'fic_dt_entrada' => $dt_entrada_americana,//era assim mas mudeipara pgar a data do dia
					//    'fic_dt_entrada' => date('Y-m-d'), //atendendo germinax ele nao quer a data do dia para a data de entrada...




	                $amoNova = new amostras(array(
		                'fic_amostra'=> $novaAmostraDefinitiva,
		                'fic_amostra_previa'=> $novaAmostraPrevia,
		                'fic_previa'=> $enquadramento_previa,
		                'fic_definitiva'=> $enquadramento_definitiva,
		                'fic_lote'   =>  'Novo Lote',
		                'fic_funcao' =>  post('funcao'),
						'fic_registrador' => substr($nomeOperador,0,10),
						'fic_dt_protocolo' => date('d/m/Y'),
						'fic_dt_entrada' => $dt_entrada_americana,
						'fic_dt_amostragem' => post('dt_amostragem'),
						'fic_categoria' =>  post('categoria'),
		                'fic_peneira' =>  post('peneira'),
		                'fic_previsao' =>  post('previsao'),
                        'fic_importacao' =>post('importacao'),
                        'fic_campo_string' =>post('campo'),
                        'fic_repre_unid' =>$repreGravar,
		                'fic_procedencia' =>  post('procedencia'),
		                'fic_aparelho' =>post('peso'),
		                'fic_balanca' =>post('balanca'),
		                'fic_tratamento' =>post('tratamento'),
		                'fic_tta' =>post('tta'),
		                'fic_tta_complementar' => strtoupper(post('status' ?? "")),
		                'fic_status_finalizada' => strtoupper(post('statusFinalizada' ?? "")),
		                'fic_status_pago' => strtoupper(post('statusPagamento' ?? "")),
		                'fic_safra' =>  post('safra'),
		                'fic_cultivar' =>  $idCultivar,
		                'fic_produtor' =>  $idProdutor,
		                'fic_amostrador' =>  $idAmostrador,
		                'fic_labo'   =>  $idLabo,
		                'fic_ano'   =>  $y,
						'fic_outrascultivares'=>$defulOutrasCultivares,
		            ));
					//echo("aqui pega o fic id novo $fic_id <br>");
	                printMSG('Foi criada uma nova amostra! A nova amostra é idêntica à amostra que estava na tela. Não deixe de editar Lote e outros dados que possivelmente mudam. A data de entrada e a data do protocolo foi atribuida a data atual, se precisar, edite isso também. A data de amostragem é copiada da amostra anteriror.');
					$sessao->setVar('ultima',$novaAmostra);
	                $amostraLong=$amoNova->inserir($amoNova);//esta linha funcionava antes
	                $sessao->setVar('amostraLong', $amostraLong);
					//vai gravar ocorrencia
					$objetocalculo->registroDeOcorrencias($amostraLong,0,$nomeOperador,'Novo registro',0,$idLabo);							

					//aqui vai forcar ele ir para a nova amostra 
					//$amostraLong=$objetocalculo->achaUltima();//com esta linha ele vai para a ultima
					//captura os dados da ras da especie
					//localiza especie ENTRA DE QUAKQUER MANEIRA
			 	 	$generica=new tabelagenerica();
					$generica->tabela="especies,cultivar";
					$generica->campos_valores = array(
							"esp_trat" => NULL,
							"esp_temp" => NULL,
							"esp_substrato" => NULL,
						);
					$generica->extras_select =" where   esp_id=ctv_especie && ctv_id  =" . $idCultivar;
				    $generica->selecionaCampos($generica);
					while ($resgenerica = $generica->retornaDados()):
						$especie=$resgenerica->esp_nome_cientifico;
						$tratamento=$resgenerica->esp_trat;
						$temperatura=$resgenerica->esp_temp;
						$substrato=$resgenerica->esp_substrato;
				    endwhile;					
					//echo("salvando insercao tratamento $tratamento<br>");
					
					//vai salvar o formato e outros campos iniciais
	                $reanNova = new rean1(array(
		                'rea_ficha'=> $amostraLong,
		                'rea_teste'=> 'GERM',
		                'rea_lei4'=> $formato,
						'rea_datageralteste'=>date("Y-m-d"),  
						'rea_datainicio'=>date("d/m/Y"),  
						'rea_duracao'=>" ",  
						'rea_campo60a'=>$tratamento,
						'rea_campo20a'=>$temperatura,
						'rea_campo60b'=>$substrato, 
		            ));
	                $reanLong=$reanNova->inserir($reanNova);
                    //criando registro de PURE  //AQUI JA VOU TRACER O VALOR DO PESO MINIMO PARA PUREZA HIHIHIH
	                $reanNova = new rean1(array(
		                'rea_ficha'=> $amostraLong,
		                'rea_teste'=> 'PURE',
		            ));
	                $reanLong=$reanNova->inserir($reanNova);
					
					//aqui vai replicar OU NAO os testes a realizar
					//ver SE É PARA REPLICAR OU NAO
				    $user = new tabeladeful();
					$user->extras_select =" where   cod_lab=".$idLabo ;
				    $user->selecionaTudo($user);
				    $replicarTestes='SIM';// 
					while ($res = $user->retornaDados()):
				        $replicarTestes=$res->replicar_testes;//pode vir com valor =nao
				    endwhile;
					if($replicarTestes=="SIM"):
						$user = new testesSolicitados();
						$user->extras_select = "where tes_ficha=".$guardaAmostraLong;
						$user->selecionaTudo($user);
						while ($res = $user->retornaDados()):
						   $teste=$res->tes_teste;
					       $userTestes = new testesSolicitados(array(
					          'tes_ficha'=>$amostraLong,
					          'tes_teste'=>$teste,
					       ));
					       $userTestes->inserir($userTestes);
						endwhile; 
						//vai calcular e salvar na ficha
						$objetocalculo=new calculos();
					    $custo=$objetocalculo->calculaCusto($amostraLong);	
                    endif;//testa se é para replicar ou nao 
					/////fim da replicacao dos testes a realizar

					
					
					
                else:
				    printMSG('Preencha corretamente os dados, pois NENHUM dado foi inserido. ','alerta');
				endif;
				unset($_POST);
				unset($_GET);
			endif;//final do get novo	
		
 		
		//$user->selecionaTudo($user);
                    //$res = $user->retornaDados();
		    //aqui vai pegar o id do amostrador e ja gravar na amostra
            if (get('amt_id') !== ""):
			    $valorControle=$sessao->getVar('controle');
			    if($valorControle==3):
                    $idAmostrador = get('amt_id');
					$user = new amostras(array(
                       'fic_amostrador'=>$idAmostrador,
                        ));
                    $user->valorpk = $amostraLong;
                    $user->extras_select = "WHERE   fic_id=$amostraLong";
                    $user->selecionaTudo($user);
                    $res = $user->retornaDados();
                    $user->atualizar($user);
					$sessao->setVar('controle',0);                
                    printMSG('Salvou nome do amostrador nesta amostra! ','alerta');
               endif;
			endif;	


			$acao="nenhuma";
		    if (post('acharDigitada') !== "" || post('acharAvanca') !== ""  || post('acharRecua') !== "" || post('acharUltima') !== ""):
				$sessao->setVar('controle',0);
			   	$registro=post('amostra');//se clica em achar digitada ja pega daqui
              	if(post('acharAvanca') !== "")$acao='avanca';
              	if(post('acharRecua') !== "")$acao='recua';
              	if(post('acharUltima') !== "")$acao='ultima';
	            $amostraLong=$objetocalculo->AchaIdAmostra2016($registro,$acao);
				//$sessao->setVar('amostraLong',$amostraLong);
		   endif;//fecha o if que acha ammostras pelo avanca-recua ou ultima

		
		
		
		    //aqui vai pegar o id do rmetente e ja gravar na amostra
            if($acao=="nenhuma"):
	            if (get('prd_idUnico') !== "" || get('prd_idLetra') !== ""  ):
				  $idProdutor=0;
				  $valorControle=0; 			
				  $valorControle=$sessao->getVar('controle');
	              if (get('prd_idLetra') !== ""):
				     $valorControle=1;
					 $sessao->setVar('controle',0); 
				  endif;
				  //echo("kkkkkkkkkkkkkkkkkkkkkkunico dentro do isset controle= $valorControle <br>");
				 
				  if($valorControle==1):
				  	  //$sessao->setVar('controle',0); 
					  $valorControle=0;      
		              $idProdutor = get('prd_idUnico');
		              if (get('prd_idLetra') !== ""):
					     $idProdutor = get('prd_idLetra');
	                     //echo("kkkkkkkkkkkkkkkkkkkkkkunicocapturou get id letadentro do isset podutor $idProdutor <br>");  
						 
					  endif;
	                  //echo("kkkkkkkkkkkkkkkkkkkkkkunicodentro do isset podutor $idProdutor <br>");  

	unset(get('prd_idUnico'));             
	unset(get('prd_idLetra'));             

	                /*aqui vai capturar o id do amostrador associado
	                se for numero maior que zero ele vai salvar na amostra
	                caso contrario vai ignorar  					
	                */
	                $userReme = new remetentes();
					$userReme->extras_select = "WHERE prd_id=".$idProdutor;
	                $userReme->selecionaTudo($userReme);
	                $codAmostradorVinculado=0;
	                $mensagemExtra="";
	                while ($res = $userReme->retornaDados()):
	                    $codAmostradorVinculado=$res->prd_cod_amostrador;
	                endwhile;
					//se achou um codigo entao grava tambem o codigo              
	                if($codAmostradorVinculado>0):
						$user = new amostras(array(
	                       'fic_produtor'=>$idProdutor,
	                       'fic_amostrador'=>$codAmostradorVinculado,
	                        ));
	                    $mensagemExtra="Gravou tembém o amostrador vinculado a este requerente!";
	                else:
	                    //aqui nao tem amostrador vinculado entao ele tem que achar o amostrador -o-
						//se nao achar deve avisr que crie um, mas neste caso mantem o nome antigo
						//se acheou avisa que esta colocando amostrador -o-
		                $userAmo = new amostradores();
						$userAmo->extras_select = "WHERE amt_lab=".$idLabo." and amt_nome ='-O-'";
		                $userAmo->selecionaTudo($userAmo);
		                $codAmostradorTraco=0;
		                $mensagemExtra="";
		                while ($resAmo = $userAmo->retornaDados()):
		                    $codAmostradorTraco=$resAmo->amt_id;
		                endwhile;
						//se achou o amostrador -O- vai salvar o codigo, cso contrario deixa 
						//deixa o antigo e avisa que deve mudar agora
	                    if($codAmostradorTraco>0): 
							$user = new amostras(array(
		                       'fic_produtor'=>$idProdutor,
		                       'fic_amostrador'=>$codAmostradorTraco,
		                        ));
		                    $mensagemExtra="Gravou amostrador -O-, recomendo selecionar o amostrador neste momento, caso exista!";

	                    else:
	                        //so vai gravar o remetente mesmo
							$user = new amostras(array(
		                       'fic_produtor'=>$idProdutor,
		                        ));
		                    $mensagemExtra="Não foi encontrado o amostrador -O-. Recomendo gravar um com este pseudo nome para normalizar seus dados. Importante que -O- se ja com um traço, letra O maiúsculo e novamtente traço!";
						endif;//testa se amostrador -0- 
	                endif;//amostrador vinculado
	                    //aqui salva por fim o que foi organizado acima
	                    $user->valorpk = $amostraLong;
	                    $user->extras_select = "WHERE   fic_id=$amostraLong";
	                    $user->selecionaTudo($user);
	                    $res = $user->retornaDados();
	                    $user->atualizar($user);
						$sessao->setVar('controle',0);                
	                    $mensagem='Salvou requerente nesta amostra!'.$mensagemExtra;
						printMSG('controle='. $valorControle. $mensagem,'alerta');
	               endif;//testa se controle=1
				   //window.open("amostras_2.php");
				   ?>
				   <a href="?m=amostras_2&t=editar">Regist. amostra(t)</a>
				   <?php
				   
				endif;//testa o isset	
            endif;//testa se nao ativou acao nenhuma 
            if (get('ctv_id') !== ""):
			    $valorControle=$sessao->getVar('controle');
			    if($valorControle==2):
	                $idCultivar = get('ctv_id');
	                //echo("99999999999999999999999entro do isset cultivar= $idCultivar <br>");   
					$user = new amostras(array(
                       'fic_cultivar'=>$idCultivar,
                    ));
                    $user->valorpk = $amostraLong;
                    $user->extras_select = "WHERE   fic_id=$amostraLong";
                    $user->selecionaTudo($user);
                    $res = $user->retornaDados();
                    $user->atualizar($user);
					$sessao->setVar('controle',0); 
					//aqui ele pega os dados da especie e grava na rean os valores deful da ras
					//localiza especie ENTRA DE QUAKQUER MANEIRA
			 	 	$generica=new tabelagenerica();
					$generica->tabela="especies,cultivar";
					$generica->campos_valores = array(
							"esp_trat" => NULL,
							"esp_temp" => NULL,
							"esp_substrato" => NULL,
						);
					$generica->extras_select =" where   esp_id=ctv_especie && ctv_id  =" . $idCultivar;
				    $generica->selecionaCampos($generica);
					while ($resgenerica = $generica->retornaDados()):
						$especie=$resgenerica->esp_nome_cientifico;
						$tratamento=$resgenerica->esp_trat;
						$temperatura=$resgenerica->esp_temp;
						$substrato=$resgenerica->esp_substrato;
				    endwhile;					
					echo("salvando na edicao tratamento $tratamento<br>");
                    //GRAVA  DiRETO NA REAN
				   $sql="update rean1 set rea_campo20a='$temperatura', rea_campo60a='$tratamento', rea_campo60b='$substrato' where  rea_teste='GERM' and  rea_ficha=".$amostraLong;
  	 	           $generica=new tabelagenerica();
				   $generica->grava_registro_com_retorno($sql); 
	                $sessao->SetVar('controle',0);

	            endif;//testa se controle=2
				unset(get('ctv_id'));
	            if($valorControle>0)printMSG($valorControle.'Salvou a cultivar e a especie, nesta amostra! ','alerta');
			endif;//testa unset get	






				//echo("perto de editar amostraLong= $amostraLong idCultivar que vaai gravar=$idCultivar idProdutor que vai gravar=$idProdutor <br>");
				if (post('bt_barcode') !== ""):
				   //echo '<iframe src="testeBarcodeFPDF.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona 
				   //este ai chama uma classe bem bolada
				   echo '<iframe src="testeBarcodeFPDF_classe.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona 
				endif;

				if (post('bt_status') !== ""):
				   //echo '<iframe src="testeBarcodeFPDF.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona 
				   //este ai chama uma classe bem bolada
				   echo '<iframe src="statusGeralAmostra.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona 
				endif;



				
				if (post('imprimeficha') !== ""):
				    
					//ver qual o tipodeficha(se nao tem ainda,vai para o modelos basico)
				    $user = new tabeladeful();
					$user->extras_select =" where   cod_lab=".$idLabo ;
				    $user->selecionaTudo($user);
					while ($res = $user->retornaDados()):
				        $modelo_ficha=$res->modelo_ficha;//opcao que sempre 
				    endwhile;
					echo ("Modelo= $modelo_ficha Para mudar o modelo acesse:Manutenção->Configurações->modelo de ficha.<br>");
										
                    //a medida que vou acrescentando modelos vou incluindo aqui
	                if($modelo_ficha!='CA_PUREZA' && $modelo_ficha!='RICETEC'  && $modelo_ficha!='basico' && $modelo_ficha!='CruzAlta' && $modelo_ficha!='Germinacao' && $modelo_ficha!='ADV'  && $modelo_ficha!='DIMICRON'  && $modelo_ficha!='TZO' && $modelo_ficha!='FITO' && $modelo_ficha!='TZO_UFLA' && $modelo_ficha!='DEGRANA_FORR'):
					    $modelo_ficha='basico';
					endif;	
                    //echo("modeloficha $modelo_ficha<br>");


                    //daqui para baixo os modelos existentes 
                    if($modelo_ficha=='CA_PUREZA')echo '<iframe src="imprimefichaCruzAltaPUR.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona  

                    if($modelo_ficha=='basico')echo '<iframe src="imprimeficha1.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona  
                    if($modelo_ficha=='CruzAlta')echo '<iframe src="imprimefichaCruzAlta.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona  
                    if($modelo_ficha=='Germinacao')echo '<iframe src="imprimefichaGERM.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona 
					 
                    if($modelo_ficha=='RICETEC'):
					    $amostraCorrente=post('amostra');
                        $sessao->setVar('inicio',$amostraCorrente);	//para voltar a impirmir uma so
                        $sessao->setVar('final',$amostraCorrente);	//para voltar a impirmir uma so 					
					    echo '<iframe src="imprimefichaRicetec.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona  
                    endif;
					
					if($modelo_ficha=='DEGRANA_FORR'):
					    $amostraCorrente=post('amostra');
                        $sessao->setVar('inicio',$amostraCorrente);	//para voltar a impirmir uma so
                        $sessao->setVar('final',$amostraCorrente);	//para voltar a impirmir uma so 					
					    echo '<iframe src="imprimefichaDegranaForr.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona  
                    endif;
					
					
					
					if($modelo_ficha=='ADV'):
					    $amostraCorrente=post('amostra');
                        $sessao->setVar('inicio',$amostraCorrente);	//para voltar a impirmir uma so
                        $sessao->setVar('final',$amostraCorrente);	//para voltar a impirmir uma so 					
					    echo '<iframe src="imprimefichaADV.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona  
                    endif;

					if($modelo_ficha=='TZO'):
					    $amostraCorrente=post('amostra');
                        $sessao->setVar('inicio',$amostraCorrente);	//para voltar a impirmir uma so
                        $sessao->setVar('final',$amostraCorrente);	//para voltar a impirmir uma so 					
					    echo '<iframe src="imprimefichaTZO.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona  
                    endif;

					if($modelo_ficha=='TZO_UFLA'):
					    $amostraCorrente=post('amostra');
                        $sessao->setVar('inicio',$amostraCorrente);	//para voltar a impirmir uma so
                        $sessao->setVar('final',$amostraCorrente);	//para voltar a impirmir uma so 					
					    echo '<iframe src="imprimefichaTZO_UFLA.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona  
                    endif;




					if($modelo_ficha=='FITO'):
					    $amostraCorrente=post('amostra');
                        $sessao->setVar('inicio',$amostraCorrente);	//para voltar a impirmir uma so
                        $sessao->setVar('final',$amostraCorrente);	//para voltar a impirmir uma so 					
					    echo '<iframe src="imprimefichaFITO.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona  
                    endif;
                    
					//SE FOR DIMICRON E MANDOU IMPRIMIR FICHA ENTAO IMPRIMR TAMBEM FItO E TZ
					if($cliente=='DIMICRON' || substr($cliente,0,2)=='TS'):
                        $assinalouTZ="nao";
                        $assinalouFITO="nao";
						$user = new testesSolicitados();
						$user->extras_select = "where tes_ficha=".$amostraLong;
						$user->selecionaTudo($user);
						while ($res = $user->retornaDados()):
						    if($res->tes_teste=='TZO') $assinalouTZ="SIM";
						    if($res->tes_teste=='FIT') $assinalouFITO="SIM";
						endwhile;              

					    $amostraCorrente=post('amostra');
                        $sessao->setVar('inicio',$amostraCorrente);	//para voltar a impirmir uma so
                        $sessao->setVar('final',$amostraCorrente);	//para voltar a impirmir uma so					    
						echo("assinalou fito= $assinalouFITO  assinalou tz= $assinalouTZ<br>");
						
						
                        if($assinalouTZ=="SIM"):
						   echo '<iframe src="imprimefichaTZO.php" style="border:5px dotted red" width="100%" height="200"></iframe>';
                        endif; 
                        if($assinalouFITO=="SIM"):
						   echo '<iframe src="imprimefichaFITO.php" style="border:5px dotted red" width="100%" height="200"></iframe>';
                        endif; 
					endif;
					
					if($cliente=='LABORATÓRIO DE ANÁLISE DE SEMENTES - LAS/UFLA'):
                        $assinalouTZ="nao";
                       	$user = new testesSolicitados();
						$user->extras_select = "where tes_ficha=".$amostraLong;
						$user->selecionaTudo($user);
						while ($res = $user->retornaDados()):
						    if($res->tes_teste=='TZO') $assinalouTZ="SIM";
						endwhile;              

					    $amostraCorrente=post('amostra');
                        $sessao->setVar('inicio',$amostraCorrente);	//para voltar a impirmir uma so
                        $sessao->setVar('final',$amostraCorrente);	//para voltar a impirmir uma so					    
                        if($assinalouTZ=="SIM"):
						   echo '<iframe src="imprimefichaTZO_UFLA.php" style="border:5px dotted red" width="100%" height="200"></iframe>';
                        endif; 
					endif;
		
					//echo("cliente=$cliente assinalou tz=$assinalouTZ<br>");
		
		
					
					
					if($modelo_ficha=='DIMICRON'):
					    $amostraCorrente=post('amostra');
                        $sessao->setVar('inicio',$amostraCorrente);	//para voltar a impirmir uma so
                        $sessao->setVar('final',$amostraCorrente);	//para voltar a impirmir uma so 					
					    echo '<iframe src="imprimefichaDimicron_mapa.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona  
                    endif;
					
					
                
                endif;//final do isset de imprimir ficha
				
                //ficha verso identificada por FV
				if (post('imprimefichaverso') !== ""):
                    echo '<iframe src="imprimefichaGERM.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona  
                endif;//final do isset de imprimir ficha

                //ficha VIRTUAL
				if (post('imprimefichavirtual') !== ""):
				    $user = new tabeladeful();
					$user->extras_select =" where   cod_lab=".$idLabo ;
				    $user->selecionaTudo($user);
					$res = $user->retornaDados();
				    $modelo_ficha=$res->modelo_ficha_virtual;//opcao que sempre 
                    //a medida que vou acrescentando modelos vou incluindo aqui
	                if($modelo_ficha=='Integral'):				
		                echo '<iframe src="imprimeFichaVirtualPDF.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona  
				    endif;		
	                if($modelo_ficha=='Tabajara'):				
		                echo '<iframe src="imprimeFichaVirtualTabajara.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona  
				    endif;		
	                if($modelo_ficha=='Qualiteste'):				
		                echo '<iframe src="imprimeFichaVirtualQualiPur.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona  
				    endif;	
					echo("modeloficha=$modelo_ficha<br>");	
                endif;

				
				if (post('testesRealizar') !== ""):
                    //echo("Box testes a realizar<br>");
		            echo '<iframe src="testesRealizar.php" style="border:5px dotted red" width="110%" height="180"></iframe>';	 //funciona  
                endif;
                //a bre um box para trocar o numero da amostra
				if (post('bt_mudarNumero') !== ""):
                    //echo("Box testes a realizar<br>");
		            echo '<iframe src="mudarNumeroAmostra.php" style="border:5px dotted red" width="100%" height="180"></iframe>';	 //funciona  
                endif;





				
				
########################################################################################################
				//amostras do enquadramnto previa passando para definitiva///////

				if (post('passadefinitiva') !== ""):
				    $numeroDigitado=post('numeroDigitado');
                    //vai capturar a ultima amostra das definitivas para acrecentr depois 1
                    if($numeroDigitado==""):
						$sqlultimo="select fic_amostra from ficha where fic_ano='".$anoAmostra."' && fic_labo='".$idLabo."' order by fic_amostra desc LIMIT 1";  //fucnciona perfeito
						$userOto=new amostras();
						$userOto->executaSQL($sqlultimo);
						$resOto=$userOto->retornaDados();
						$novaAmostra=$resOto->fic_amostra+1;
						$dt_entrada=date("Y-m-d");				
	                    //captura alguns dados da amostra corrente
	                    $amostraLong=$sessao->getVar('amostraLong');
	                    $rotuloBotao='Confirmar';
                    endif;     
                    //printMSG('Valor digitado=' . $numeroDigitado</a>');
					if($numeroDigitado>0):
						$userAmostra = new amostras();
	                    //vai gravar no campo fic_amostra o novo valor da amostra 
		                $sql="update ficha set fic_amostra='$numeroDigitado', fic_definitiva='S' where fic_id=".$amostraLong;
						$generica=new tabelagenerica();
		                $generica->grava_registro_com_retorno($sql);
                        printMSG('Passou para definitiva adquirindo o numero ' .$numeroDigitado.'</a>');
                    endif;

				endif;//final do isset para conversao de previa para definitiva
	///////////////////////////////////////////////////////////////////////////////////////////////////////////			
				$acesso="";
				if (post('bt_editarDados') !== ""):
				
				       $objetoValidacao=new validacao();
					   $vaiGravar=TRUE;
                       //valida a data de entrada
					   $dt_entrada=post('dt_entrada');
					   $retorno=$objetoValidacao->validaDataEntrada($dt_entrada);//esta data vai validar o ano e somente esta
					   if($retorno=='invalida'):
      					   printMSG('Atenção: Preencha corretamente a data de entrada no formato dd/mm/aaaa, e do ano corrente, pois nenhum dado foi alterado. ','alerta');
                           $vaiGravar=FALSE;
					   else:
						   $dt_entrada_americana=$retorno;
					   endif;
                       

					   
					   
					   /*
                       //valida a data de protocolo
					   $dt_protocolo=post('dt_protocolo');
					   $retorno=$objetoValidacao->validaData($dt_protocolo);
					   if($retorno=='invalida'):
      					   printMSG('Amigo, preencha corretamente a data de protocolo no formato dd/mm/aaaa, ou maior que o ano corrente, pois nenhum dado foi alterado. ','alerta');
                           $vaiGravar=FALSE;
					   else:
						   $dt_protocoloGravar=$retorno;
					   endif;

                       //valida a data de amostragem
					   $dt_amostragem=post('dt_amostragem');
					   $retorno=$objetoValidacao->validaData($dt_amostragem);
					   if($retorno=='invalida'):
      					   printMSG('Amigo, preencha corretamente a data de amostragem no formato dd/mm/aaaa, ou maior que o ano corrente, pois nenhum dado foi alterado. ','alerta');
                           $vaiGravar=FALSE;
					   else:
						   $dt_amostragemGravar=$retorno;
					   endif;
                       */
					   
					   
                       //validar a representatividade
					   $r1=post('r1');
					   $r2=post('r2');
					   $r3=post('r3');
					   $r4=post('r4');
					   if($r2=='-O-' || $r4=='-O-'):
					   	  $r1='-O-';
					   	  $r2='-O-';
					   	  $r3='-O-';
					   	  $r4='-O-';
                       endif;					   
					   if($r1==''):
					   	  $r2='';
                       endif;					   
   
					   
					   $retornoRep=$objetoValidacao->validaRepresentatividade($r1,$r2,$r3,$r4);
					   if($retornoRep=='invalida'):
      					   printMSG('Amigo, preencha corretamente a representatividade dentro das possibilidades, pois nenhum dado foi alterado8. ','alerta');
                           $vaiGravar=FALSE;
					   else:
						   $repreGravar=$retornoRep;
					   endif;

   
					   $amostra=post('amostra');
					

                       //aqui tem um problema:
					   //eu uso o mesmo botao de alterar para alterar o numero da amostra
					   //mas se é previa o campo é fic_amostra_previa

                       
					   //$campoLote=post('lote');
					   //echo("vvvvvvalor lote=$campoLote<br>");
					   //no campo lote eu coloco um caracter em branco porque 
				       //o numero 024 ele passa para 24 e dava erro depois
					   //nao retirar este comentario
					   //$loteLido=post('lote');
                       //$loteString=(string)$loteLido;
					   //echo("vvvvvvalor lotestring=$loteString<br>");
					   $lote=post('lote').' ';

                       $cnpj='26.991.224/0001-04'; 

					   	
					   //$cnpj = preg_replace( '/[^0-9]/', '', $cnpj );	
					   //echo("vvvvvvalor lotestring=$cnpj<br>");
						
						
						
										   
                       if($finalidade=="DEFINITIVA"):
                        $user = new amostras(array(
                            
                            'fic_lote'=>$lote,
                            'fic_funcao'=>post('funcao'),
                            'fic_categoria'=>post('categoria'),
                            'fic_safra'=>post('safra'),
                            'fic_dt_entrada'=>$dt_entrada_americana,
                            'fic_dt_protocolo'=>post('dt_protocolo'),
                            'fic_dt_amostragem'=>post('dt_amostragem'),
                            'fic_peneira'=>post('peneira'),
                            'fic_previsao'=>post('previsao'),
                            'fic_observacao'=>post('observacao'),
                            'fic_importacao'=>post('importacao'),
                            'fic_campo_string'=>post('campo'),
                            'fic_repre_unid'=>$repreGravar,
                            'fic_procedencia'=>post('procedencia'),
                            'fic_aparelho'=>post('peso'),
                            'fic_balanca'=>post('balanca'),
                            'fic_tratamento'=>post('tratamento'),
                            'fic_tta'=>post('tta'),
                            'fic_tta_complementar'=>strtoupper(post('status' ?? "")),
                            'fic_status_finalizada'=>strtoupper(post('statusFinalizada' ?? "")),
                            'fic_status_pago'=>strtoupper(post('statusPagamento' ?? "")),
                        ));
                       else:
                        $user = new amostras(array(
                           
                            'fic_lote'=>$lote,
                            'fic_funcao'=>post('funcao'),
                            'fic_categoria'=>post('categoria'),
                            'fic_safra'=>post('safra'),
                            'fic_dt_entrada'=>$dt_entrada_americana,
                            'fic_dt_protocolo'=>post('dt_protocolo'),
                            'fic_dt_amostragem'=>post('dt_amostragem'),
                            'fic_peneira'=>post('peneira'),
                            'fic_previsao'=>post('previsao'),
                            'fic_observacao'=>post('observacao'),
                            'fic_importacao'=>post('importacao'),
                            'fic_campo_string'=>post('campo'),
                            'fic_repre_unid'=>$repreGravar,
                            'fic_procedencia'=>post('procedencia'),
                            'fic_aparelho'=>post('peso'),
                            'fic_balanca'=>post('balanca'),
                            'fic_tratamento'=>post('tratamento'),
                            'fic_tta'=>post('tta'),
                            'fic_tta_complementar'=>strtoupper(post('status' ?? "")),
                            'fic_status_finalizada'=>strtoupper(post('statusFinalizada' ?? "")),
                            'fic_status_pago'=>strtoupper(post('statusPagamento' ?? "")),							
                        ));
					   endif;//testa se é definitiva
					   
					   
					    
                    $user->valorpk = $amostraLong;
                    $user->extras_select = "WHERE   fic_id=$amostraLong";
                    $user->selecionaTudo($user);
                    $res = $user->retornaDados();
                    
                    if ($vaiGravar==TRUE):
                        $user->atualizar($user);
                        if ($user->linhasafetadas>0):
                            if($finalidade=='DEFINITIVA'):
                               //printMSG('Dados alterados com sucesso, na amostra nº '.$res->fic_amostra.'. Ocorrência registrada.(Alteração)');
							   $legenda='Dados alterados com sucesso, na amostra nº '.$res->fic_amostra.'. Ocorrência registrada.(Alteração)';
                            else:							
                               //printMSG('Dados alterados com sucesso, na amostra nº '.$res->fic_amostra_previa.'. Ocorrência registrada.(Alteração)');
							   $legenda='Dados alterados com sucesso, na amostra nº '.$res->fic_amostra_previa.'. Ocorrência registrada.(Alteração)';

                            endif;							
                            unset($_POST);
							//$zero=0;	
                            //$sessao->setVar('idProdutor',$zero);                
                            //$sessao->setVar('idCultivar',$zero);   
							//aqui antes de tudo vai gravar a ocorrencia 
                            $objetocalculo->registroDeOcorrencias($amostraLong,0,$nomeOperador,'Alterou registro',0,$idLabo);							
							printMSG('Ok.Salvou alteração!','alerta');
                        else:
							printMSG('Ok.Nada foi alterado. ','alerta');
                        endif;
                    endif;                    
                endif;//final do isset editar
				
				//coloca os campos na resultser userbd, para poder te-los na tela
			    $sessao = new sessao();
			    $amostraLong=$sessao->getVar('amostraLong');
                $userbd = new amostras();
                $userbd->extras_select = "WHERE fic_id=$amostraLong";
                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();
			//localiza os campos da classe associadas(cultivar,remetente,amostrador)	
			//$associadas = new associadas();
            //$associadas->extras_select = "WHERE fic_produtor=prd_id && fic_cultivar=ctv_id &&  fic_id=$amostraLong";
            //$associadas->selecionaTudo($associadas);
            //$resAssociadas = $associadas->retornaDados();
			
            ////////////////
			    $idCultivar=$resbd->fic_cultivar;
			    $idProdutor=$resbd->fic_produtor;
			    $idAmostrador=$resbd->fic_amostrador;
				//echo("vai abrir a associdads  idCultivar=  $idCultivar <br>"); 				
			    $associadaCultivar = new cultivares();
				$associadaCultivar->extras_select = " where ctv_id=".$idCultivar;
                $associadaCultivar->selecionaTudo($associadaCultivar);
				$resAssociadaCultivar = $associadaCultivar->retornaDados();
                //requerente
			    $associadaRemetente = new remetentes();
				$associadaRemetente->extras_select = " where prd_id=".$idProdutor;
                $associadaRemetente->selecionaTudo($associadaRemetente);
				$resAssociadaRemetente = $associadaRemetente->retornaDados();
                //amostrador
			    $associadaAmostrador = new amostradores();
				$associadaAmostrador->extras_select = " where amt_id=".$idAmostrador;
                $associadaAmostrador->selecionaTudo($associadaAmostrador);
				$resAssociadaAmostrador = $associadaAmostrador->retornaDados();
				//localiza especie ENTRA DE QUAKQUER MANEIRA
		 	 	$generica=new tabelagenerica();
				$generica->tabela="especies,cultivar";
				$generica->campos_valores = array(
						"esp_nome" => NULL,
						"esp_nome_cientifico" => NULL,
					);
				$generica->extras_select =" where   esp_id=ctv_especie && ctv_id  =" . $idCultivar;
			    $generica->selecionaCampos($generica);
				while ($resgenerica = $generica->retornaDados()):
					$especie=$resgenerica->esp_nome_cientifico;
			    endwhile;
		  	    //echo("eeeeeeeeeeeeeeeeespecie= $especie<br>"); 				
				
                //representatividade
				if($resbd) $repre=$resbd->fic_repre_unid;							 
                list($r1,$r2,$r3,$r4)= explode(" ", $repre);
				if($finalidade=='DEFINITIVA'):
				    if($resbd->fic_amostra_previa>0) $rabicho=" Identica à amostra previa nº". $resbd->fic_amostra_previa;
			        $legendaAmostra="Amostra Nº " .$resbd->fic_amostra.' ( '.$finalidade.$rabicho. ' ) ';
				else:
			        $legendaAmostra="Amostra Nº " .$resbd->fic_amostra_previa.' ( '.$finalidade.' ) ';
				endif;
			    ///////////////
               if($rotuloBotao=="")$rotuloBotao="Passa Definitiva";				
               //$custo=$objetocalculo->calculaCusto($amostraLong);
               //captura o numero do documento e o tipo
			   //ENTRA DE QUAKQUER MANEIRA
				$generica=new tabelagenerica();
				$generica->tabela="documentosponte,documentos";
				$generica->campos_valores = array(
					   "doc_numero" => NULL,
					   "doc_tipo" => NULL,
				);
				$generica->extras_select =" where dpo_documento_autonumerador=doc_id &&  dpo_amostra_vinculada=".$amostraLong;
				$generica->selecionaCampos($generica);
                $variosDocs='';
				while ($resgenerica= $generica->retornaDados()):
	               $tipoDoc=$resgenerica->doc_tipo . " Nº";
	               $numeroDoc=$resgenerica->doc_numero;
                   $variosDocs=$variosDocs.$tipoDoc.':'.$numeroDoc.' ';
	            endwhile;      
              
			//echo $resAssociadaRemetente->prd_nome;  
			$legendaRequerente=$sessao->getVar('controle2'); 
			//$legendaRequerente=$resAssociadaRemetente->prd_nome;
			echo("<h2>Registro de amostra(Incluir,alterar ou localizar).$legendaRequerente </h2>");
   



            ?>
            <script type="text/javascript">
               $(document).ready(function(){
                   $(".userform").validate({
                       rules:{
                           nome:{required:true, minlength:3},
                           endereco:{required:true, endereco:true},
                       }
                   });
               });
           </script>
            <form class="userform" method="POST" action="">
                <fieldset>
                    <legend><?php echo $legendaAmostra;?></legend>
                  
					 <?php echo $acesso; ?>
                        <table bgcolor="#939ab0" width="1000">
                          <tr>
                            <td>
								<input type="button" onclick="location.href='?m=achaAssociado&t=listarRemetentes'" value="Requerente" />
					            <input type="button" onclick="location.href='?m=remetentes&t=incluir'" value="Novo" />
						        <input type="submit" name='bt_listarRemetentesLetras' value="Letras" />
								<input type="text"     size="33" name="remetente"  value="<?php  echo $resAssociadaRemetente->prd_nome. $resAssociadaRemetente->prd_detalhe; ?>" /> 
							</td> 
								  
		                    <td>
								<input type="button" onclick="location.href='?m=achaAssociado&t=listarAmostrador'" value="Amostrador" />
					            <input type="button" onclick="location.href='?m=amostradores&t=incluir'" value="Novo" />
								<input type="text"     size="33" name="amostrador"  value="<?php  echo $resAssociadaAmostrador->amt_nome; ?>" />    
							</td>						  
						  </tr>	
						  	 				
                          <tr>
                            <td>
		                        <input type="button" onclick="location.href='?m=achaAssociado&t=listarCultivares'" value="Cultivar" />
					            <input type="button" onclick="location.href='?m=cultivares&t=listaEspecies'" value="Nova" />
								<input type="text"     size="33" name="cultivarx"  value="<?php  echo $resAssociadaCultivar->ctv_nome; ?>"
							</td>   
		                    <td>
							    Espécie:<input type="text"     size="30" name="especie" disabled value="<?php  echo $especie; ?>" /> 
							</td>  
						  </tr>		 				
						</table> 
						
						                       
						<table bgcolor="#d7d2d9" width="880">
                           <td><table>
						     <tr>
                                <td> <label1>Função:</label1></td>							 
                                <td> 
								 <select name="funcao" value="">  
							   	 <option><?php if($resbd) echo $resbd->fic_funcao; ?></option>
							   		<option>PRODUÇÃO</option>
							   		<option>FISCALIZAÇÃO</option>
							   		<option>CERTIFICAÇÃO</option>
							   		<option>ANÁLISE INTERNA</option>
							   		<option>MONITORAR QUALIDADE</option>
							   		<option>REVALIDAR GERMINAÇÃO</option>
							   		<option>INTERLABORATORIAL</option>
							   		<option>COMERCIALIZAÇÃO</option>
							   		<option>PRE LOTE</option>
							   		<option>PRÉVIAS</option>
							     </select>
								</td>							 
                                <td> <label1>Categoria:</label1></td>							 
                                <td>
								 <select name="categoria" value="">  
							   	 <option><?php if($resbd) echo $resbd->fic_categoria; ?></option>
							   		<option>C1</option>
							   		<option>C2</option>
							   		<option>S1</option>
							   		<option>S2</option>
							   		<option>BASICA</option>
							   		<option>GENETICA</option>
							   		<option>-O-</option>
							     </select>
								 </td>							 
							 </tr> 
						     <tr>
                                <td> <label1>Importação.:</label1></td>							 
                                <td> <input type="text" size="20"  maxlength="40" name="importacao" value="<?php if($resbd) echo $resbd->fic_importacao; ?>" /></td>							 
                                <td> <label1>Represent.:</label1></td>
                                <td>
                                <input type="text" size="5" name="r1" maxlength="8" value="<?php echo $r1; ?>" />							 
								 <select name="r2" value="">  
							   	 <option><?php echo $r2; ?></option>
							   		<option>bag</option>
							   		<option>sc</option>
							   		<option>t</option>
							   		<option>kg</option>
							   		<option>g</option>
							   		<option>lata</option>
							   		<option>balde</option>
							   		<option>env</option>
							   		<option>Pelets</option>
							   		<option>Sementes</option>
							   		<option>-O-</option>
							     </select>
                                <input type="text" size="3" maxlength="6" name="r3" value="<?php echo $r3; ?>" />							 
								 <select name="r4" value="">  
							   	 <option><?php echo $r4; ?></option>
							   		<option>kg</option>
							   		<option>t</option>
							   		<option>g</option>
							   		<option>-O-</option>
							     </select>


								 </td>							 
							 </tr> 
						     <tr>
                                <td> <label1>Safra:</label1></td>							 
                                <td>
								 <select name="safra" value="">  
							   	 <option><?php if($resbd) echo $resbd->fic_safra; ?></option>
							   		<option>2017/2017</option>
							   		<option>2016/2017</option>
							   		<option>2016/2016</option>
							   		<option>2015/2016</option>
							   		<option>2015/2015</option>
							   		<option>2014/2015</option>
							   		<option>2014/2014</option>
							   		<option>2013/2014</option>
							   		<option>2013/2013</option>
							   		<option>2012/2013</option>   
							   		<option>2012/2012</option>
							   		<option>2011/2012</option>
							   		<option>2011/2011</option>
							   		<option>2010/2011</option>
							   		<option>2010/2010</option>
							   		<option>2009/2010</option>
							   		<option>2009/2009</option>
							   		<option>2008/2009</option>
							   		<option>2008/2008</option>
							   		<option>2007/2008</option>
							   		<option>2007/2007</option>
							   		<option>2006/2007</option>
							   		<option>2006/2006</option>
							   		<option>2005/2006</option>
							   		<option>2005/2005</option>
							   		<option>2004/2005</option>
							   		<option>2004/2004</option>
							   		<option>2003/2004</option>
							   		<option>2003/2003</option>




							   		<option>-O-</option>
							     </select>
								 </td>							 
                                <td> <label1>Procedência:</label1></td>							 
                                <td> <input type="text" size="20"  maxlength="50" name="procedencia" value="<?php if($resbd) echo $resbd->fic_procedencia; ?>" /></td>							 
							 </tr> 
						     <tr>
							    <!-- AQUI VOU COLOCAR DOIIS CAMPOS  -->
                                <td>
								<?php
								$rotuloCEA="CEA";
								if($cliente=="RICETEC") $rotuloCEA= 'FSA';
								?>:
								<label1><?php  echo $rotuloCEA;?>:</label1>
								</td>							 
                                <td> 
								    <input type="text" size="10"  maxlength="20" name="tta" value="<?php if($resbd) echo $resbd->fic_tta; ?>" />
									
								</td>							 
                                <td> <label1>Campo:</label1></td>							 
                                <td> <input type="text" size="20" name="campo" value="<?php if($resbd) echo $resbd->fic_campo_string; ?>" /></td>							 
							 </tr> 

							 </tr> 
						     <tr>
							    <!-- AQUI VOU COLOCAR DOIIS CAMPOS  -->
                                <td>
								<label1>Peso:</label1>
								</td>							 
                                <td> 
								    <input type="text" size="3"  maxlength="10" name="peso" value="<?php if($resbd) echo $resbd->fic_aparelho; ?>" />
            						Balança:
								    <input type="text" size="5"  maxlength="15" name="balanca" value="<?php if($resbd) echo $resbd->fic_balanca; ?>" />


								</td>

								<td>
								<label1>Tratamento:</label1>
								</td>
								
								
                                <td> 
                                <?php
								if($cliente=="RICETEC"):
					                $user = new kittratamento();
									$user->extras_select = "WHERE kit_labo=$idLabo order by kit_sigla ";
					                $user->selecionaTudo($user);
					                ?><select name="tratamento"><option><?php  
									echo $resbd->fic_tratamento."</option>";
									echo "<option>-O-</option>";
									while ($res = $user->retornaDados()):
									    echo "<option>".$res->kit_sigla."</option>";
					                endwhile;  
								?>
								</select>
                                <?php else:?> 
								<input type="text" size="40"  maxlength="50" name="tratamento" value="<?php if($resbd) echo $resbd->fic_tratamento; ?>" />
                                <?php endif;?>                                        
								</td>
								
							 </tr> 
						   
						   </table></td>
                           
                           <td><table bgcolor="silver">
						     <tr>
                                <td> <label2>Dt Entrada:</label2></td>							 
                                <td> <input type="text" size="8"  maxlength="10" name="dt_entrada" value="<?php if($resbd) echo date("d/m/Y",strtotime($resbd->fic_dt_entrada)); ?>" /></td>							 
							 </tr> 
						     <tr>
                                <td> <label2>Dt Protocolo:</label2></td>							 
                                <td> <input type="text" size="8" maxlength="10" name="dt_protocolo" value="<?php if($resbd) echo $resbd->fic_dt_protocolo; ?>" /></td>							 
							 </tr> 
						     <tr>
                                <td> <label2>dt_amostragem:</label2></td>							 
                                <td> <input type="text" size="8" maxlength="10" name="dt_amostragem" value="<?php if($resbd) echo $resbd->fic_dt_amostragem; ?>" /></td>							 
							 </tr> 
						     <tr>
                                <td> <label1>Previsão:</label1></td>							 
                                <td> <input type="text" size="7" name="previsao" maxlength="10" value="<?php if($resbd) echo $resbd->fic_previsao; ?>" /></td>								 </tr> 
							 </tr> 
						     <tr>
                                <td> <label1>Peneira:</label1></td>							 
                                <td> <input type="text" size="7" name="peneira" maxlength="10" value="<?php if($resbd) echo $resbd->fic_peneira; ?>" /></td>							 
							 </tr> 



						   
						   </table></td>
						</table>
						
						<table bgcolor="#d7d2d9" width="880">
                            <td><label2>Observações:</label2></td>							 
                            <td> <input type="text" size="90" name="observacao" maxlength="150" value="<?php if($resbd) echo $resbd->fic_observacao; ?>" /></td>
                            <td><label2>Registrador:</label2></td>							 
                            <td> <input type="text" size="10" name="registrador" maxlength="10" value="<?php if($resbd) echo $resbd->fic_registrador; ?>" /></td>
                        </table>
						
						<!--aqui abre uma linha duma grade mas nao para ricetec-->
						<?php if($cliente!="RICETEC"): ?>
						<table bgcolor="#9df4da" width="880">
								   	    <?php
										if($cliente=="RICETEC"):
										?>
                                        <td>Status finalidade:
								        <select name="status" value="">  
								   	    <option><?php if($resbd) echo $resbd->fic_tta_complementar; ?></option>
									   		<option>MQ</option>
									   		<option>LAUDO</option>
										 </select>
							             </td>
										<?php
										else:
										?>
                                        <td>Status Materia prima:
								        <select name="status" value="">  
								   	    <option><?php if($resbd) echo $resbd->fic_tta_complementar; ?></option>
									   		<option>MP</option>
									   		<option>BF</option>
									   		<option>B1</option>
									   		<option>B2</option>
									   		<option>B3</option>
										 </select>
							             </td>
										<?php
										endif;
                                        ?> 
                            <td>Status Finalizada: 
								 <select name="statusFinalizada" value="">  
								   	<option><?php if($resbd) echo $resbd->fic_status_finalizada; ?></option>
							   		<option>SIM</option>
							   		<option>NAO</option>
								    </select>
								 </select>
							</td>

                            <td>Status FOI PAGO: 
								 <select name="statusPagamento" value="">  
								   	<option><?php if($resbd) echo $resbd->fic_status_pago; ?></option>
							   		<option>SIM</option>
							   		<option>NAO</option>
								 </select>
							</td>
							
                            <td>Informado pagamento: 
								 <?php echo $resbd->fic_pagou;?>
							</td>
							
							
							
                        </table>
                       <?php endif; ?><!--fecha o endif ricetec para nao mostrar a grade de uma linha-->

						<table bgcolor="#bfb8c2" width="880">
						    <td>Outros controles: Custo:<?php echo $resbd->fic_custo;?></td>							 
                            <td>Documento:<?php echo $variosDocs;?></td>							 
                            <td>xxxx</td>							 
		 
                        </table>



	                       <table width="880" bgcolor="#b1b8c7">
                           <tr>
                             <td><label3>Lote.:</label3></td><td><input type="text"     size="15" name="lote" autofocus="autofocus" value="<?php if($resbd) echo $resbd->fic_lote; ?>" /></td>
		                     <td bgcolor="yellow"><label3>Amostra:</label3></td>
							 <?php
						
							 if($finalidade=="DEFINITIVA"):
    							
	                             ?>
								  <td> <b> <input type="text" size="3"  maxlength="5" name="amostra" value="<?php if($resbd) echo $resbd->fic_amostra; ?>" /></b>
								 <?php						 
							 else:
    						
							     ?>
								  <td> <b> <input type="text" size="3"  maxlength="5" name="amostra" value="<?php if($resbd) echo $resbd->fic_amostra_previa; ?>" /></b>
							     <?php
							 endif;
							 ?>
	
						     <input type="submit" name="acharDigitada" value="<--Achar" />
							 <input type="button" onclick="location.href='?m=achaAssociado&t=buscar'" value="Buscar" />
						     <input type="submit" name="acharRecua" value="<" />
						     <input type="submit" name="acharAvanca" value=">" />
						     <input type="submit" name="acharUltima" value=">|" />
 							 <input type="submit" name="bt_editarDados" alt="xxxxx" value="Salvar Alterações" />
						     <input type="submit" name="bt_incluir" value="Incluir" />
							 </td>						   
						   </tr>						
						</table>
					     
                        <table  bgcolor="#9fa7b9"  ><tr><td>
						    <?php 
							//examina se a finalidade é previa e se aquela amostra ainda nao é definitiva
							if($finalidade=='PREVIA' && $resbd->fic_amostra==0):
								?> <input type="text"  name="numeroDigitado" size="3"	value="<?php echo $novaAmostra;?>" /> 				
							    <input type="submit" name="passadefinitiva" value="<?php echo $rotuloBotao;?>" />  <?php

						    endif;  
							?>
							<input type="button" onclick="location.href='?m=achaAssociado&t=listar'" value="Cancelar" />
						    <input type="submit" name="testesRealizar" value="Testes a realizar" />
						    <input type="submit" name="imprimeficha" value="Ficha" />
						    <input type="submit" name="imprimefichaverso" value="FV" />
						    <input type="submit" name="imprimefichavirtual" value="Ficha virtual" />
						    <input type="submit" name="imprimefichavirtualquali1" value="FQ1" />
						    <?php if($finalidade=='PREVIA'):
							    ?>
							    <input type="submit" name="alternar" value="Acessar definitivas" />
							    <?php
                            else:  
                                ?>
						        <input type="submit" name="alternar" value="Acessar previas" />
						        <input type="text"  size="5" name="cod_barra1" value=""   onchange="chama()" />
						        <!--<input type="text"  size="5" name="cod_barra" value=""   onclick="location.href='?m=achaAssociado&t=listarRemetentes'" />-->
						        <input type="text"  size="5" name="cod_barra2" value=""   onchange="location.href='?m=achaAssociado&t=capturarBarra'" />
								
								
								
								
								<?php
							endif;  
							?>
						</td>	
						</tr> 
						</table>	
                        <table width="880" bgcolor="#8d95ab">
						
						    <tr><td>
							<input type="checkbox"  name="branco" />Ficha em branco
							<input type="submit" name="deletar" value="Excluir esta amostra" />Sim
							<input type="checkbox"   name="cb_fechar" />
							<input type="submit" name="bt_mudarNumero" value="Mudar número da amostra" />
							<input type="button" onclick="location.href='?m=achaAssociado&t=listagemAmostras'" value="Listagem." /> <!--vai para outra tela-->	
							<input type="submit" name="bt_barcode" value="Cód Barras(T)" />
							<input type="submit" name="bt_status" value="Status(T)" />
							
							<input type="submit" name="manual" value="Ajuda" />
							</td></tr> 
						</table>
                 
                        <table width="880" bgcolor="#7b859d">
						    <tr>
							<td bgcolor="#7b859d">Ação:<?php echo $legenda;?></td>
							</tr> 
						</table>


                </fieldset>
				<script>
function chama(){
	
	//window.open("amostras.php")
	alert("ola agora sem abrir pagina form amostra   disparando evento chama")
		
}
</script>
				
				
            </form>
        <?php
 
    break;
    
	case 'listagemAmostras':
       //echo "esta em listaem";  
	   $pedacoAno=$sessao->getVar('pedacoAno');  
	   $pedacos=$sessao->getVar('controle1');  
	   $pedacoAno=" fic_ano=2016 ";
       $pedacos=" and fic_produtor=".$idProdutor;	
	   $mensagemListagem="A listagem que aparece na visualização inicial, são as amostras do requerente que estava na tela. Existem comandos para buscar outros conjuntos de amostras. Se clicar no link CANETINHA, o sistema reabre a tela anterior exatamente naquela amostra. ";
	   
	      
	   if(post('esteRequerente') !== ""):
           //echo "esta em este produtor"	;   
	   
	   endif;
	   if(post('ultimas100') !== ""):
           //echo "esta em lista100";	   
	       $pedacoAno=" fic_ano=2016 ";
	       $pedacos=" order by fic_amostra desc LIMIT 100"; 
	       //$pedacos=" order by fic_amostra desc"; 
		   $mensagemListagem="A listagem que aparece esta limitada em 100 últimas amostras. Existem comandos para buscar outros conjuntos de amostras. Se clicar no link CANETINHA, o sistema reabre a tela anterior exatamente naquela amostra. ";
	   endif;
	   
	   if(post('algumasLetras') !== ""):
           //echo "esta em lista100";	
		   $letrinhas=post('letrinhas').'%';   
		   $letrinhasDig='[ '.post('letrinhas').' ]';   
	       $pedacoAno=" fic_ano=2016 ";
	       $pedacos=" and  prd_nome like '$letrinhas'   order by fic_amostra desc LIMIT 100"; 
	       //$pedacos=" order by fic_amostra desc"; 
		   $mensagemListagem="A listagem que aparece mostra as amostras do(s) requerente(s) que começa(m) por ". $letrinhasDig. ".  Existem comandos para buscar outros conjuntos de amostras. Se clicar no link CANETINHA, o sistema reabre a tela anterior exatamente naquela amostra. ";
	   endif;
	   
	   
	   
	   if($finalidade=="PREVIA"):
          $sqlSeletor="select fic_id,fic_lote,fic_amostra_previa,esp_nome,ctv_nome,fic_dt_entrada,prd_apelido from cultivar,ficha,remetente,especies where fic_previa='S' and fic_labo=".$idLabo." AND  prd_id=fic_produtor AND  ctv_id=fic_cultivar AND  ctv_especie=esp_id and ".$pedacoAno.$pedacos;	   
	   else:
          $sqlSeletor="select  fic_id,fic_lote,fic_amostra,esp_nome,ctv_nome,fic_dt_entrada,prd_apelido  from cultivar,ficha,remetente,especies where  fic_labo=".$idLabo." AND  prd_id=fic_produtor AND  ctv_id=fic_cultivar AND  ctv_especie=esp_id and ".$pedacoAno.$pedacos;	   
	   endif;
	   
	    
       $sqlParteFinal=$pedacoAno.$pedacos;
	   //echo("Filtros finais=$sqlSeletor<br>");
	   $miolo="from cultivar,ficha,remetente,especies where  fic_labo=".$idLabo."  AND  prd_id=fic_produtor AND  ctv_id=fic_cultivar AND  ctv_especie=esp_id ";
	   if(get('opcao') !== ""):
            $opcao = get('opcao');
	   endif;
	   ?>


		<div style="overflow: auto; width: 1000px; height: 400px; border:solid 1px">   
        <table bgcolor="white" class="tabela" style="width:1000px">  
        <thead>  
        <tr>  
        <th>Amostras</th><th>Entrada</th><th>Lote</th><th>Apelido</th><th>Especie</th><th>Cultivar</th><th>Germ</th><th>TZO</th><th>EAC</th><th>Documento(s)</th><th>Ordem</th>
        </tr>  
        </thead>  
        <tbody>  
 
	  <?php


//$sqlSeletor="select * from cultivar,ficha,remetente,especies where fic_labo=".$idLabo."  AND  prd_id=fic_produtor AND  ctv_id=fic_cultivar AND  ctv_especie=esp_id ".$pedacos;
		//echo("zzzzzzzzzzzzzzzzzzzzseletor= $sqlSeletor <br>");
		//echo("Orientação: $mensagemListagem <br>");
        printMSG($mensagemListagem,'erro');
	    //ENTRA DE QUAKQUER MANEIRA
	 	 	$generica=new tabelagenerica();
	        $generica->extras_select =$sqlSeletor ;
			$generica->selecionaCamposEspecial($generica);
			$contador=0;
			//se eu quiser fazer ele pegar a id entao preciso tambem mostrar so filtros de forma mais facil de entender. do jeito que esta esta mais ou menos
			$generica2=new tabelagenerica();
	        while ($resgenerica= $generica->retornaDados()):
			    $amostraLong=$resgenerica->fic_id;
                //acha germinacao e pureza
				$generica2->tabela="rean1";
				$generica2->campos_valores = array(
					   "rea_v1" => NULL,
				);
				$generica2->extras_select =" where rea_teste='GERM' and rea_ficha=".$amostraLong;
				$generica2->selecionaCampos($generica2);
                $germinacao='';
				while ($resgenerica2= $generica2->retornaDados()):
	               $germinacao=$resgenerica2->rea_v1;
	            endwhile; 

                /*qualiteste disponsou pureza e pediu tzo e eac
                //acha pureza
				$generica2->tabela="rean1";
				$generica2->campos_valores = array(
					   "rea_v1" => NULL,
				);
				$generica2->extras_select =" where rea_teste='PURE' and rea_ficha=".$amostraLong;
				$generica2->selecionaCampos($generica2);
                $pureza='';
				while ($resgenerica2= $generica2->retornaDados()):
	               $pureza=$resgenerica2->rea_v1;
	            endwhile; 
                */

                //acha tzo
				$generica2->tabela="rean1";
				$generica2->campos_valores = array(
					   "rea_v1" => NULL,
				);
				$generica2->extras_select =" where rea_teste='TZO' and rea_ficha=".$amostraLong;
				$generica2->selecionaCampos($generica2);
 				$tzo="-N-";
				while ($resgenerica2= $generica2->retornaDados()):
	               $tzo=$resgenerica2->rea_v1;
	            endwhile; 

                //acha eac
				$generica2->tabela="rean1";
				$generica2->campos_valores = array(
					   "rea_v1" => NULL,
				);
				$generica2->extras_select =" where rea_teste='EAC' and rea_ficha=".$amostraLong;
				$generica2->selecionaCampos($generica2);
                $eac="-N-";
				while ($resgenerica2= $generica2->retornaDados()):
	               $eac=$resgenerica2->rea_v1;
	            endwhile; 






				//PESQUISA OS DOCUMENTOS
			   //ENTRA DE QUAKQUER MANEIRA
				$generica2->tabela="documentosponte,documentos";
				$generica2->campos_valores = array(
					   "doc_numero" => NULL,
					   "doc_tipo" => NULL,
				);
				$generica2->extras_select =" where dpo_documento_autonumerador=doc_id AND   dpo_amostra_vinculada=".$amostraLong;
				$generica2->selecionaCampos($generica2);
                $variosDocs='';
				while ($resgenerica2= $generica2->retornaDados()):
	               $tipoDoc=substr($resgenerica2->doc_tipo,0,1);
	               $numeroDoc=$resgenerica2->doc_numero;
                   $variosDocs=$variosDocs.$tipoDoc.':'.$numeroDoc.'; ';
	            endwhile; 

                //prepara se é previa/definitiva
				if($finalidade=='PREVIA'):
  				    $amostraFinal=$resgenerica->fic_amostra_previa;
				else:
				    //se eu estou em definitivas , eu faco aparer o numero da previa mas colocando uma letra
				    $amostraFinal="";
					if($resgenerica->fic_previa=='S'):
				        $amostraFinal=$resgenerica->fic_amostra_previa."P";
                    else:					
				        $amostraFinal=$resgenerica->fic_amostra;
					endif;
				endif;



	            $contador++;
				echo '<tr>';

            //vai raiar a tabela se  é para coloca cor silver
			if($contador % 2 !=0):
  				printf('<td bgcolor="silver">%s',$amostraFinal);
				//SE É PRODUTOR AI NAO VAI MOSTRAR O LINK PARA ACESSAR AMOSTRA
				if($nivel=='PRODUTOR'):
				   printf('</td>');
                else:
				   printf(' <a href="?m=achaAssociado&t=editar&achar_id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a> </td>',$amostraLong);
				endif;
                printf('<td bgcolor="silver">%s</td>',date("d/m/y",strtotime($resgenerica->fic_dt_entrada))));
                printf('<td bgcolor="silver">%s</td>',$resgenerica->fic_lote);
	            printf('<td bgcolor="silver">%s</td>',$resgenerica->prd_apelido);
	            printf('<td bgcolor="silver">%s</td>',$resgenerica->esp_nome);
	            printf('<td bgcolor="silver">%s</td>',$resgenerica->ctv_nome);
	            printf('<td bgcolor="silver">%s</td>',$germinacao);
	            printf('<td bgcolor="silver">%s</td>',$tzo);
	            printf('<td bgcolor="silver">%s</td>',$eac);
	            //printf('<td bgcolor="silver">%s</td>',$pureza);
	            printf('<td bgcolor="silver">%s</td>',$variosDocs);
				printf('<td bgcolor="silver">%s</td>',$contador);
            else://aqui é o else do teste se é linha par
  				printf('<td>%s',$amostraFinal);
				//SE É PRODUTOR AI NAO VAI MOSTRAR O LINK PARA ACESSAR AMOSTRA
				if($nivel=='PRODUTOR'):
				   printf('</td>');
                else:
				   printf(' <a href="?m=achaAssociado&t=editar&achar_id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a> </td>',$amostraLong);
				endif;
                printf('<td>%s</td>',date("d/m/y",strtotime($resgenerica->fic_dt_entrada))));
                printf('<td>%s</td>',$resgenerica->fic_lote);
	            printf('<td>%s</td>',$resgenerica->prd_apelido);
	            printf('<td>%s</td>',$resgenerica->esp_nome);
	            printf('<td>%s</td>',$resgenerica->ctv_nome);
	            printf('<td>%s</td>',$germinacao);
	            printf('<td>%s</td>',$tzo);
	            printf('<td>%s</td>',$eac);
	            //printf('<td>%s</td>',$pureza);
	            printf('<td>%s</td>',$variosDocs);
	            printf('<td>%s</td>',$contador);
			endif;
				
				echo '</tr>';
	        endwhile;



	        ?>
	        </tbody>
	        </table>
			</div>
	
		<br>

        <form class="userform" method="POST" action="">
        <fieldset>
        <legend>Controles a disposição</legend>
		<table>
		<tr>
        <td>
			<input type="submit" name="ultimas100" value="Ultimas 100 amostras" />
			<input type="submit" name="algumasLetras" value="Algumas letras do nome-->" />
			<input type="text" name="letrinhas" size="10" value="" />
		</td>		
        <td>
		</td>		
		</tr>
		</table>
        Obs.: <br>   
   </<fieldset>        
</form>

<?php
	   
	   	
	
	break;
	
	

	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>



 